<?php 

//Prevent WooCommerce 2.0 Theme Support Warning
add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
    add_theme_support( 'woocommerce' );
}

add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
    add_theme_support( 'woocommerce' );
}

// Register custom styles
if ( ! is_admin() ) {
	add_action( 'wp_enqueue_scripts', 'lifecare_woocommerce_register_assets' );
}

if ( ! function_exists( 'lifecare_woocommerce_register_assets' ) ) {
	function lifecare_woocommerce_register_assets() {
		//wp_enqueue_script( 'lifecare-wc-customselect-js', get_template_directory_uri().'/woocommerce/js/jquery.customSelect.js', array('jquery'), 1, true );
		// wp_enqueue_script( 'lifecare-wc-custom-js', get_template_directory_uri().'/woocommerce/js/custom.js', array('jquery'), 1, true );
		wp_enqueue_style( 'lifecare-wc-css', get_template_directory_uri() . '/woocommerce/css/woocommerce.css' );
	}
}
add_filter( 'loop_shop_columns', 'lifecare_loop_columns' );
if ( ! function_exists( 'lifecare_loop_columns' ) ) {
	function lifecare_loop_columns() {
		global $woocommerce;
		$shop_pageid = get_option( 'woocommerce_shop_page_id' );
		if ( atp_generator( 'sidebaroption', $shop_pageid ) == 'fullwidth' ) {
			$columns = 4;
		} else {
			$columns = 3;
		}
		return $columns;
	}
}

// Related Prducts
add_filter( 'woocommerce_output_related_products_args', 'lifecare_related_columns' );
if ( ! function_exists( 'lifecare_related_columns' ) ) {
	function lifecare_related_columns( $args ) {
		global $product;
		$id = $product->id;	
		if ( atp_generator( 'sidebaroption', $id ) == 'fullwidth' ) {
			$args['posts_per_page'] = 4;
	 		$args['columns'] = 4;
		}else{
			$args['posts_per_page'] = 3;
			$args['columns'] = 3;
		}
		return $args;
	}
}

if ( ! function_exists( 'lifecare_shop_loop_item_author' ) ) {
	function lifecare_shop_loop_item_author() {
		$html = '<div class="author">' . esc_html__( 'by', 'lifecare' ) . ' ' . get_the_author() . '</div>';
		echo $html;
	}
}
add_action( 'woocommerce_shop_loop_item_title', 'lifecare_shop_loop_item_author', 10 );